;Program Shell for any assembly language
PAGE 60,132
TITLE SIMPLE DISPLAY PROGRAM USING INT 10H AND INT 21H ROUTINES
STSEG 	SEGMENT
      	DB 64 DUP(?)
STSEG 	ENDS
;-----------------
DTSEG 	SEGMENT
COUNT EQU 02H
MESSAGE DB 'This is a test of Display Routine','$'
DATA_B DB "What a Wonderful Day", '$'
RESULT 	DD ?
DTSEG 	ENDS
;-----------------
CDSEG 	SEGMENT
MAIN	PROC FAR  ; This is the program entry point for DOS
  	ASSUME CS:CDSEG, DS:DTSEG, SS:STSEG
	MOV AX,DTSEG
	MOV DS,AX
        CALL CLEAR  ; CLEAR SCREEN
        CALL CURSOR ; CENTER THE CURSOR
        CALL SHOW ; SHOW THE DATA STRING
        CALL INPUTC ; WAIT FOR KEYBOARD CHARACTER AND DISPLAY
        MOV AH,4CH
        INT 21H
MAIN	ENDP
;--------------------------
CLEAR   PROC   
        MOV AX,0600H ; 
        MOV BH, 07
        MOV CX,0000
        MOV DX, 18F4H
        INT 10H
	RET
CLEAR   ENDP
;--------------------------
CURSOR  PROC   
        MOV AH,02 ; CHOOSE CURSOR FUNCTION 
        MOV BH, 00
        MOV DH,12  ;  CENTER THE CURSOR
        MOV DL, 39  ; CENTER THE CURSOR
        INT 10H
	RET
CURSOR  ENDP
;--------------------------
SHOW    PROC   
        MOV AH,09 ;  
        MOV DX, OFFSET MESSAGE
        INT 21H
	RET
SHOW    ENDP
;---------------------------	
INPUTC  PROC
        MOV CX,10
        MOV AH,01 
AGAIN:  INT 21H
        LOOP AGAIN
	RET
INPUTC  ENDP
;---------------------------	

CDSEG	ENDS
	END MAIN	; THIS IS THE EXIT POINT



