;Program Shell for any assembly language
PAGE 60,132
TITLE A TEST PROGRAM TO TEST MOUSE
INCLUDE ..\MACROS\KB16H.MAC
INCLUDE ..\MACROS\INT10H.MAC
INCLUDE ..\MACROS\KB21H.MAC
INCLUDE ..\MACROS\INT33H.MAC
;------------------
STSEG 	SEGMENT
        DB 64 DUP(?)
STSEG 	ENDS
;-----------------
DTSEG 	SEGMENT
VGA EQU 03H
BIGQ EQU 'Q'
SMALLQ EQU 'q'
BIGC EQU 'C'
SMALLC EQU 'c'
CR EQU 0DH ; DEFINING CR AS CARRIAGE RETURN CHARACTER
LF EQU 0AH ; DEFINING LF AS LINE FEED CHARACTER
HIT_A_KEY DB 'HIT ANY KEY TO QUIT $'
MOUSE_IS_AT DB 'THE MOUSE IS AT CHAR LOCATION $'
CURR_VIDEO DB ?, '$'
PIXEL_STORE DW 3 DUP (?)
CHAR_COORDS DB 2 DUP(?), ',', 2 DUP(?), '$'
DTSEG 	ENDS
;-----------------
CDSEG 	SEGMENT
MAIN	PROC FAR  ; This is the program entry point for DOS
  	ASSUME CS:CDSEG, DS:DTSEG, SS:STSEG
	MOV AX,DTSEG
	MOV DS,AX
        SAVE_VIDEO_MODE CURR_VIDEO ; Save Current Video mode
        CLEARSCREEN ;
        SET_VIDEO 12H ; GRAPHICS, 640x480 , 80x30 CHAR, 8x16 CHAR BOX
        INIT_MOUSE ; INITIALIZE THE MOUSE
        MOUSE_CURSOR_VISIBLE ; SHOW THE MOUSE CURSOR
        CURSOR 20,20
        SHOW HIT_A_KEY
        DISPLAY_CHAR CR
        DISPLAY_CHAR LF
        CURSOR 5, 20
        SHOW MOUSE_IS_AT
        FILL 150, 250, 250, 350, 4
AGAIN:  GET_PIXEL_LOCATION PIXEL_STORE
        PIXEL_TO_CHAR PIXEL_STORE, 8, 16, CHAR_COORDS
        CURSOR 5, 50
        SHOW CHAR_COORDS
        MOV BX, PIXEL_STORE+4 ; GET THE BUTTON STATUS
        AND BX, 0001H
        JZ DULL_L
        FILL 260, 150, 360, 250, 3
        JMP NEXT_1
DULL_L: FILL 260, 150, 360, 250, 0
NEXT_1:  MOV BX, PIXEL_STORE+4 ; GET THE BUTTON STATUS
        AND BX, 0002H
        JZ DULL_R
        FILL 260, 250, 360, 350, 3
        JMP NEXT_2
DULL_R: FILL 260, 250, 360, 350, 0
NEXT_2:  MOV BX, PIXEL_STORE+4 ; GET THE BUTTON STATUS
        AND BX, 0004H
        JZ DULL_M
        FILL 260, 350, 360, 450, 3
        JMP KEY_P
DULL_M: FILL 260, 350, 360, 450, 0
KEY_P:  MOV AH,01  ; CHECK FOR KEY PRESS
        INT 16H
        JNZ GET_OUT ;
        JMP AGAIN
GET_OUT:MOUSE_CURSOR_INVISIBLE
        LOAD_VIDEO_MODE CURR_VIDEO
        ;KEYPRESS
        ;KEYPRESS_ALPH BIGC, SMALLC
        ;READ_KB BUFFER_1
        ;SHOW_PLUS2 BUFFER_1
        MOV AH,4CH
        INT 21H
MAIN	ENDP

;---------------------------	

CDSEG	ENDS
	END MAIN	; THIS IS THE EXIT POINT



