;Program Shell for any assembly language
PAGE 60,132
TITLE SOUNDING THE BELL CONTINUOUSLY USING INT 16H
STSEG 	SEGMENT
      	DB 64 DUP(?)
STSEG 	ENDS
;-----------------
DTSEG 	SEGMENT
MESSAGE DB 'To stop the bell, hit Q (or q) key$'
DTSEG 	ENDS
;-----------------
CDSEG 	SEGMENT
MAIN	PROC FAR  ; This is the program entry point for DOS
  	ASSUME CS:CDSEG, DS:DTSEG, SS:STSEG
	MOV AX,DTSEG
	MOV DS,AX
        CALL CLEAR  ; CLEAR SCREEN
        CALL CURSOR ; CENTER THE CURSOR
        CALL SHOW ; SHOW THE DATA STRING
        CALL KEYPRESS ; CHECK FOR Q OR q
        MOV AH,4CH
        INT 21H
MAIN	ENDP
;--------------------------
CLEAR   PROC   
        MOV AX,0600H ; 
        MOV BH, 07
        MOV CX,0000
        MOV DX, 18F4H
        INT 10H
	RET
CLEAR   ENDP
;--------------------------
CURSOR  PROC   
        MOV AH,02 ; CHOOSE CURSOR FUNCTION 
        MOV BH, 00
        MOV DH,12  ;  CENTER THE CURSOR
        MOV DL, 39  ; CENTER THE CURSOR
        INT 10H
	RET
CURSOR  ENDP
;--------------------------
SHOW    PROC   
        MOV AH,09 ;  
        MOV DX, OFFSET MESSAGE
        INT 21H
	RET
SHOW    ENDP
;--------------------------
SOUNDBELL    PROC   
        MOV AH,02 ;  
        MOV DL, 07; SENDS OUT THE BELL CHAR
        INT 21H
	RET
SOUNDBELL    ENDP
;--------------------------
KEYPRESS    PROC
AGAIN:  CALL SOUNDBELL
        MOV AH, 01 ; CHECK KEYPRESSED
        INT 16H
        JZ AGAIN ; SOUNDBELL AGAIN IF NO KEYPRESSED
        MOV AH, 0 ; CHECK WHICH CHARACTER WAS ENTERED
        INT 16H ; CHARACTER IS NOW IN AL
        CMP AL, 'Q' ;
        JE EXIT
        CMP AL, 'q'
        JE EXIT
        JMP AGAIN
EXIT:   RET
KEYPRESS    ENDP

;---------------------------	

CDSEG	ENDS
	END MAIN	; THIS IS THE EXIT POINT



